// SPDX-FileCopyrightText: 2024 Open Mobile Platform LLC <community@omp.ru>
// SPDX-License-Identifier: BSD-3-Clause

import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    objectName: "aboutPage"

    allowedOrientations: Orientation.All

    SilicaFlickable {
        objectName: "flickable"

        anchors.fill: parent
        contentHeight: layout.height + Theme.paddingLarge

        Column {
            id: layout
            objectName: "layout"

            width: parent.width

            PageHeader {
                objectName: "pageHeader"

                title: qsTr("About Application")
            }

            Label {
                objectName: "descriptionText"

                color: palette.highlightColor
                font.pixelSize: Theme.fontSizeSmall
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                text: qsTr("#descriptionText")

                anchors {
                    left: parent.left
                    right: parent.right
                    margins: Theme.horizontalPageMargin
                }
            }

            SectionHeader {
                objectName: "licenseHeader"

                text: qsTr("3-Clause BSD License")
            }

            Label {
                objectName: "licenseText"

                color: palette.highlightColor
                font.pixelSize: Theme.fontSizeSmall
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                text: qsTr("#licenseText")

                anchors {
                    left: parent.left
                    right: parent.right
                    margins: Theme.horizontalPageMargin
                }
            }
        }
    }
}
